<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.watermeter.mapper.ReadbigabnormalMapper">

    <resultMap id="readbigabnormalMap" type="com.tofly.watermeter.entity.Readbigabnormal">
        <id property="id" column="ID"/>
        <result property="waterUp" column="WATER_UP"/>
        <result property="waterDown" column="WATER_DOWN"/>
        <result property="yearUp" column="YEAR_UP"/>
        <result property="yearDown" column="YEAR_DOWN"/>
        <result property="chainUp" column="CHAIN_UP"/>
        <result property="chainDown" column="CHAIN_DOWN"/>
        <result property="zeroWater" column="ZERO_WATER"/>
        <result property="waterYearUp" column="WATER_YEAR_UP"/>
        <result property="waterYearDown" column="WATER_YEAR_DOWN"/>
        <result property="waterChainUp" column="WATER_CHAIN_UP"/>
        <result property="waterChainDown" column="WATER_CHAIN_DOWN"/>
        <result property="waterContinuousUp" column="WATER_CONTINUOUS_UP"/>
        <result property="waterContinuousDown" column="WATER_CONTINUOUS_DOWN"/>
        <result property="waterContinuousEqual" column="WATER_CONTINUOUS_EQUAL"/>
        <result property="thresholdValue" column="THRESHOLD_VALUE"/>
        <result property="bigYsxzId" column="BIG_YSXZ_ID"/>
        <result property="sbkj" column="SBKJ"/>
        <result property="sbkjName" column="SBKJ_NAME"/>
        <result property="createDate" column="CREATE_DATE"/>
        <result property="createUser" column="CREATE_USER"/>
        <association property="createUserName" column="CREATE_USER"
                     select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName"></association>
    </resultMap>


</mapper>
